<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ProgressBar
        android:id="@+id/empty_layout_progress_bar"
        style="?android:attr/progressBarStyleLarge"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:visibility="gone" />

    <TextView
        android:id="@+id/empty_layout_empty_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginBottom="10dp"
        android:gravity="center"
        android:padding="20dp"
        android:textColor="@color/colorHint"
        android:textSize="20sp"
        tools:text="No item available" />

    <LinearLayout
        android:id="@+id/empty_layout_try_again_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible">

        <TextView
            android:id="@+id/empty_layout_error_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:text="@string/error_something_went_wrong"
            android:textColor="@color/colorHint"
            android:textSize="20sp" />

        <Button
            android:id="@+id/empty_layout_try_again_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/error_retry" />

    </LinearLayout>
</merge>